Disable Mekanism 1.7.10 oregen

LoGaL

Well-Known Member
Aug 4, 2013
174
36
54
Hello, i wanted to disable mekanism copper / tin oregen in my 1.7.10 custom modpack, i tryed messing up with the config file, i only found "TinperChunk" "Copperperchunk"
However, if i try to set them to 0 , bad stuff happens
Anyone can help??
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Mod Sorting failed.
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Visting node APIContainer{CoFHAPI:1.0}
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Current sorted list : [Dummy Container (BeforeAll) @1738004506, Wrapped{mcp}, Wrapped{FML}, Wrapped{Forge}, Wrapped{Dummy Container (null) @1795210161}, Wrapped{CodeChickenCore}, Wrapped{<CoFH ASM>}, Wrapped{LanteaCraft-Core}, Wrapped{NotEnoughItems}, Wrapped{Dummy Container (null) @2099419224}, Dummy Container (Before) @1893119676, FMLMod:IC2{2.2.575-experimental}, FMLMod:AdvancedSolarPanel{1.7.10-3.5.1}, FMLMod:BuildCraft|Core{6.0.17}, APIContainer{BuildCraftAPI|core:1.0}, APIContainer{BuildCraftAPI|gates:2.0}, APIContainer{BuildCraftAPI|fuels:1.0}]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Visited set for this node : [FMLMod:appliedenergistics2{rv0-stable-10}, Dummy Container (After) @1871204546, FMLMod:BuildCraft|Core{6.0.17}, Wrapped{NotEnoughItems}, Wrapped{FML}, Dummy Container (AfterAll) @544680580, Wrapped{LanteaCraft-Core}, FMLMod:AdvancedSolarPanel{1.7.10-3.5.1}, Wrapped{Dummy Container (null) @2099419224}, Wrapped{Forge}, APIContainer{BuildCraftAPI|fuels:1.0}, Dummy Container (BeforeAll) @1738004506, Wrapped{Dummy Container (null) @1795210161}, FMLMod:EnderIO{2.0_beta}, Wrapped{mcp}, Wrapped{<CoFH ASM>}, Dummy Container (Before) @1893119676, FMLMod:IC2{2.2.575-experimental}, FMLMod:Mekanism{7.0.0}, APIContainer{CoFHAPI:1.0}, APIContainer{BuildCraftAPI|core:1.0}, APIContainer{CoFHAPI|transport:1.7.10R1.0.0}, Wrapped{CodeChickenCore}, APIContainer{BuildCraftAPI|gates:2.0}, FMLMod:CoFHCore{1.7.10R3.0.0B3}]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Explored node set : [Dummy Container (BeforeAll) @1738004506, Wrapped{Dummy Container (null) @1795210161}, FMLMod:BuildCraft|Core{6.0.17}, Wrapped{mcp}, Wrapped{NotEnoughItems}, Wrapped{<CoFH ASM>}, Dummy Container (Before) @1893119676, Wrapped{FML}, FMLMod:IC2{2.2.575-experimental}, Wrapped{LanteaCraft-Core}, FMLMod:AdvancedSolarPanel{1.7.10-3.5.1}, Wrapped{Dummy Container (null) @2099419224}, Wrapped{Forge}, APIContainer{BuildCraftAPI|fuels:1.0}, APIContainer{BuildCraftAPI|core:1.0}, Wrapped{CodeChickenCore}, APIContainer{BuildCraftAPI|gates:2.0}]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Likely cycle is in : [FMLMod:appliedenergistics2{rv0-stable-10}, Dummy Container (After) @1871204546, Dummy Container (AfterAll) @544680580, FMLMod:EnderIO{2.0_beta}, FMLMod:Mekanism{7.0.0}, APIContainer{CoFHAPI:1.0}, APIContainer{CoFHAPI|transport:1.7.10R1.0.0}, FMLMod:CoFHCore{1.7.10R3.0.0B3}]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: A dependency cycle was detected in the input mod set so an ordering cannot be determined
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: The first mod in the cycle is APIContainer{CoFHAPI:1.0}
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: The mod cycle involves
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: FMLMod:appliedenergistics2{rv0-stable-10} : before: [], after: [gregtech_addon, Mekanism, IC2, ThermalExpansion, BuildCraft|Core, AppliedEnergistics2-Core, [email protected][10.13.0.1152,)]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Dummy Container (After) @1871204546 : before: [], after: []
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: Dummy Container (AfterAll) @544680580 : before: [], after: []
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: FMLMod:EnderIO{2.0_beta} : before: [], after: [[email protected],)]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: FMLMod:Mekanism{7.0.0} : before: [], after: [ForgeMultipart, BuildCraftAPI|power, BuildCraftAPI|tools, BuildCraftAPI|transport, IC2API, CoFHAPI|energy, ComputerCraft, Galacticraft API, MineFactoryReloaded, MetallurgyCore, EnderIO, ExtraUtilities, Railcraft]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: APIContainer{CoFHAPI:1.0} : before: [Eln, CoFHCore, EnderIO, ExtraUtilities], after: [CoFHCore]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: APIContainer{CoFHAPI|transport:1.7.10R1.0.0} : before: [EnderIO], after: [CoFHAPI]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: FMLMod:CoFHCore{1.7.10R3.0.0B3} : before: [], after: [[email protected][7.10.0.1197,7.11), [email protected][10.13.0.1197,10.14)]
[17/8/2014 21:10:42 PM] [Client thread/ERROR] [FML]: The full error
[17/8/2014 21:10:42 PM] cpw.mods.fml.common.toposort.ModSortingException: There was a cycle detected in the input graph, sorting is not possible
 

Golrith

Over-Achiever
Trusted User
Nov 11, 2012
3,838
2,142
248
Setting those values to zero does not cause the above problem. Anything to do with ModSorting basically means a mod is out of date and you need to update. Try updating EnderIO, that caused me grief once TE4 updated.
ModSorting errors are common at the moment as one mod updates core/api files, another mod needs to update it's stuff if it links to it.
 
  • Like
Reactions: RedBoss

LoGaL

Well-Known Member
Aug 4, 2013
174
36
54
right, i'll try, thanks a lot
Edit: however, this is what happens, as if i leave the config file as it is, minecraft runs correctly